%define module_name Log-Syslog-Fast
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(IO/Select.pm) perl(IO/Socket/INET.pm) perl(IO/Socket/IP.pm) perl(IO/Socket/UNIX.pm) perl(Log/Syslog/Constants.pm) perl(Socket.pm) perl(Sys/Hostname.pm) perl(XSLoader.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.67
Release: alt4
Summary: Perl extension for sending syslog messages over TCP, UDP,
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/A/AT/ATHOMASON/%{module_name}-%{version}.tar.gz
Provides: perl(Log/Syslog/Fast.pm) = %version
# TODO: fix compilation on other arches
#ExclusiveArch:x86_64

%description
This module sends syslog messages over a network socket. It works like
the Sys::Syslog manpage in setlogsock's 'udp', 'tcp', or 'unix' modes, but without the
significant CPU overhead of that module when used for high-volume logging. Use
of this specialized module is only recommended if 1) you must use network
syslog as a messaging transport but 2) need to minimize the time spent in the
logger.

This module supercedes the less general the Log::Syslog::UDP manpage.


%prep
%setup -q -n %{module_name}-%{version}
sed -i -e /CCFLAGS/d Makefile.PL

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_archlib/L*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.67-alt4
- rebuild with perl 5.38

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 0.67-alt3
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.67-alt2
- rebuild with perl 5.30

* Thu Dec 19 2019 Igor Vlasenko <viy@altlinux.ru> 0.67-alt1
- updated by package builder

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 0.65-alt4.1
- rebuild with perl 5.28.1

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 0.65-alt4
- rebuild with perl 5.26

* Sun Feb 12 2017 Cronbuild Service <cronbuild@altlinux.org> 0.65-alt3
- rebuild to get rid of unmets

* Sun Apr 03 2016 Igor Vlasenko <viy@altlinux.ru> 0.65-alt2.1
 - fixed unmets

* Fri Nov 27 2015 Igor Vlasenko <viy@altlinux.ru> 0.65-alt1.1
- rebuild with perl 5.22

* Wed Oct 14 2015 Igor Vlasenko <viy@altlinux.ru> 0.65-alt1
- regenerated from template by package builder

* Fri Apr 17 2015 Igor Vlasenko <viy@altlinux.ru> 0.64-alt1
- regenerated from template by package builder

* Sat Dec 13 2014 Cronbuild Service <cronbuild@altlinux.org> 0.61-alt2
- rebuild to get rid of unmets

* Thu May 22 2014 Igor Vlasenko <viy@altlinux.ru> 0.61-alt1
- initial import by package builder

